INSMOD(8)

BEZEICHNUNG

insmod - Einfaches Programm, um ein Modul in den Linux-Kernel einzufügen

ÜBERSICHT

insmod [OPTIONEN] [Dateiname] [Moduloptionen]

BESCHREIBUNG

insmod ist ein triviales Programm, um ein Modul in den Kernel einzufügen. Die meisten Benutzer werden wahrscheinlich modprobe(8) stattdessen benutzen wollen, das geschickter ist und mit Modulabhängigkeiten umgehen kann.

Es werden nur die allgemeinsten Fehlermeldungen berichtet: da der Versuch, das Modul zu Linken, jetzt im Kernel erfolgt, liefert dmesg(1) normalerweise mehr Informationen über Fehler.

OPTIONEN

-f, --force
    Diese Option kann extrem gefährlich sein: Sie teilt dem Kernel mit, die Modulversion und das Feld vermagic beim Laden zu ignorieren. Mit dieser Option können Sie lokal gebaute oder von Dritten gebaute Module laden, allerdings kann dies zur Speicherverfälschung, Systemabstürzen und Datenverlust führen.

-s, --syslog
    Fehler an Syslog schicken statt in die Standardfehlerausgabe zu schreiben.

-v, --verbose
    Meldungen über die Tätigkeiten des Programms ausgeben.. Normalerweise gibt insmod nur Meldungen aus, falls etwas schief läuft.

-V, --version
    Version des Programms anzeigen und beenden.

-h, --help
    Die Hilfe ausgeben und beenden.

COPYRIGHT

Diese Handbuchseite ist ursprünglich Copyright 2002, Rusty Russell, IBM Corporation.

SIEHE AUCH

modprobe(8), rmmod(8), lsmod(8), modinfo(8), depmod(8)

FEHLER

Bitte leiten Sie alle Fehlerberichte (auf Englisch) an die Fehlerdatenbank von kmod unter https://github.com/kmod-project/kmod/issues/ zusammen mit der verwandten Version, Schritten zum Nachvollziehen des Problems und dem erwarten Ergebnis weiter.

AUTOREN

Eine Vielzahl von Beiträgen kamen von der Linux-Modules-Mailingliste <linux-modules@vger.kernel.org> und Github. Falls Sie einen Klon von kmod.git selbst haben, kann Ihnen die Ausgabe von git-shortlog(1) und git-blame(1) die Autoren für bestimmte Teile des Projekts darstellen.

Lucas De Marchi <lucas.de.marchi@gmail.com> ist der aktuelle Betreuer des Projekts.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.